## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate qoi

Name:           rust-qoi
Version:        0.4.1
Release:        %autorelease
Summary:        VERY fast encoder/decoder for QOI (Quite Okay Image) format

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/qoi
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
VERY fast encoder/decoder for QOI (Quite Okay Image) format.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+reference-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+reference-devel %{_description}

This package contains library source intended for building other packages which
use the "reference" feature of the "%{crate}" crate.

%files       -n %{name}+reference-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# Remove bundled C library (used in libqoi workspace member that is not
# included in published crates)
rm -rf ext
# Remove test that references libqoi workspace member (not included in
# published crates)
rm tests/test_gen.rs
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
# https://github.com/aldanor/qoi-rust/issues/6
%ifnarch s390x
%check
# Skip tests with missing test files (not included in published crates)
%cargo_test -- -- --skip test_reference_images
%endif
%endif

%changelog
* Wed Aug 23 2023 Kalev Lember <klember@redhat.com> - 0.4.1-1
- Initial Fedora packaging (rhbz#2233787)
